package wdp_di2;

import wdp.FileAccessor;
import wdp.FileScanner;

public class FileScannerImpDi2 implements
      FileScanner {
   private FileAccessor accessor;
   public void setAccessor(FileAccessor accessor) {
      this.accessor = accessor;
   }
   private Matcher matcher;
   public void setMatcher(Matcher matcher) {
      this.matcher = matcher;
   }
   public String scan(String filename)
         throws Exception {
      String[] str = accessor.load(filename);
      StringBuffer sb = new StringBuffer();
      for (int i = 0; i < str.length; i++) {
         if (matcher.match(str[i])) {
            sb.append(str[i]).append("\n");
         }
      }
      return sb.toString();
   }
}
